%global _x11fontdir %{_datadir}/X11/fonts

Summary:    X.Org X11 font utilities
Name:       xorg-x11-font-utils
Epoch:      1
Version:    7.5
Release:    44
License:    MIT
URL:        http://www.x.org

Source0:    http://www.x.org/pub/individual/app/bdftopcf-1.1.tar.bz2
Source1:    http://www.x.org/pub/individual/app/fonttosfnt-1.1.0.tar.bz2
Source2:    http://www.x.org/pub/individual/app/mkfontdir-1.0.7.tar.bz2
Source3:    http://www.x.org/pub/individual/app/mkfontscale-1.1.3.tar.bz2
Source4:    http://www.x.org/pub/individual/font/font-util-1.3.2.tar.bz2
Source5:    xorg-x11-fonts-update-dirs
Source6:    xorg-x11-fonts-update-dirs.1

Patch0:	    0001-mkfontscale-examine-all-encodings.patch

BuildRequires: libtool pkgconfig(fontenc) pkgconfig(freetype2)
BuildRequires: pkgconfig(x11) pkgconfig(xorg-macros) >= 1.8 zlib-devel

Provides:   bdftopcf = 1.1
Obsoletes:  bdftopcf < 1.1
Provides:   fonttosfnt = 1.1.0
Obsoletes:  fonttosfnt < 1.1.0
Provides:   mkfontdir = 1.0.7
Obsoletes:  mkfontdir < 1.0.7
Provides:   mkfontscale = 1.1.3
Obsoletes:  mkfontscale < 1.1.3
Provides:   font-util = 1.3.2
Obsoletes:  font-util < 1.3.2
Provides:   font-utils = %{epoch}:%{version}-%{release}
Obsoletes:  font-utils < %{epoch}:%{version}-%{release}
Provides:   ucs2any = 1.3.1
Obsoletes:  ucs2any < 1.3.1


%description
X.Org X11 font utilities required for font installation, conversion, and generation.

%package_help

%prep
%setup -q -c xorg-x11-font-utils-%{version} -a1 -a2 -a3 -a4
pushd mkfontscale-*
%patch0 -p1 -b .all-encodings
popd

%build
{
for app in * ; do
    pushd $app
        autoreconf -vif
        case $app in
            font-util-*)
                %configure --with-fontrootdir=%{_x11fontdir}
                ;;
            *)
                %configure
                ;;
        esac
        %{make_build}
    popd
done
}

%install
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
    for i in */README ; do
        [ -s $i ] && cp $i README-$(echo $i | sed 's/-[0-9].*//')
    done
    for i in */COPYING ; do
        grep -q stub $i || cp $i COPYING-$(echo $i | sed 's/-[0-9].*//')
    done
}

install -m 744 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs
sed -i "s:@DATADIR@:%{_datadir}:" $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs

install -m 744 -p -D %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/xorg-x11-fonts-update-dirs.1

find $RPM_BUILD_ROOT -name bdftruncate\* -print0 | xargs -0 rm -f

%files
%doc README-* COPYING-bdftopcf COPYING-[c-z]*
%{_bindir}/bdftopcf
%{_bindir}/fonttosfnt
%{_bindir}/mkfontdir
%{_bindir}/mkfontscale
%{_bindir}/ucs2any
%{_bindir}/xorg-x11-fonts-update-dirs
%{_datadir}/aclocal/fontutil.m4
%{_libdir}/pkgconfig/fontutil.pc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/util
%{_x11fontdir}/util/map-*

%files help
%{_mandir}/man1/bdftopcf.1*
%{_mandir}/man1/fonttosfnt.1*
%{_mandir}/man1/mkfontdir.1*
%{_mandir}/man1/mkfontscale.1*
%{_mandir}/man1/ucs2any.1*
%{_mandir}/man1/xorg-x11-fonts-update-dirs.1*

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 7.5-44
- rebuild for next release

* Fri Jul 24 2020 chengguipeng<chengguipeng1@huawei.com> - 7.5-43
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:Upgrade to 7.5-43

* Thu Jan 09 2020 openEuler Buildteam <buildteam@openeuler.org> - 7.5-42
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.5-41
- Package init
